Download it now!
Bug 121279 - FILEOPEN XLSX Chart legend created with Excel is not wrapped when the document is opened in Calc
Summary: FILEOPEN XLSX Chart legend created with Excel is not wrapped when the documen...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.1.5
Keywords: bisected, filter:xlsx
Depends on:
Blocks:
 
Reported: 2018-11-08 16:30 UTC by Gabor Kelemen
Modified: 2018-11-30 20:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel with long pie chart data labels (43.23 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-11-08 16:30 UTC, Gabor Kelemen
Details
Screenshot of the file in Excel and Calc side by side (181.04 KB, image/png)
2018-11-08 16:30 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-11-08 16:30:05 UTC
Created attachment 146447 [details]
Example file from Excel with long pie chart data labels

Imported Pie chart data labels in XLSX documents created with Microsoft Excel 2010 is not wrapped when the document is opened in LibreOffice Calc 6.2.0.0.alpha1+.

Steps to reproduce:

    1. Open the attached XLSX file in LibreOffice Calc
    2. View the attached screenshot
    3. Notice, that pie chart data labels are not wrapped

Actual results:
Chart data labels are  not wrapped when the document is opened in LibreOffice Calc 6.2.0.0.alpha1+.

Expected results:
Chart data labels should have the same alignment as the original file when the document is opened in Microsoft Excel 2010

LibreOffice details:
Version: 6.2.0.0.alpha1+
Build ID: 2cef68a605494bcef0388201b1058c95788c45a8
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); Calc: threaded
Comment 1 Gabor Kelemen 2018-11-08 16:30:43 UTC
Created attachment 146448 [details]
Screenshot of the file in Excel and Calc side by side
Comment 2 Gabor Kelemen 2018-11-08 16:53:01 UTC
Attached document is a simplified version of the attachment #66947 [details] from bug #54757 - hence the Russian text. 
Maybe we can better approach the problems seen ther by filing separate issues for each one.
Comment 3 raal 2018-11-08 17:35:57 UTC
Confirm with Version: 6.2.0.0.alpha1+
Build ID: b0da1ca2d7a426ff13f39b21362fbcd5c0580c24
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
In 4.1 are texts missing.
Comment 4 Xisco Faulí 2018-11-09 13:14:09 UTC
The label import got implemented in https://cgit.freedesktop.org/libreoffice/core/commit/?id=790f9abeb1a1167ad5ab84c5fb855b36669c125b

@Szymon Kłos, I thought you could be interested in this issue...
Comment 5 Commit Notification 2018-11-30 02:07:38 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6a04b9298ae993881d20fc4b5aa91516d4df6695%5E%21

tdf#121282, tdf#121279, set text properties also on complex data labels

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-11-30 07:31:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ef921ee138d563706bd2f3edeb13f737fabe03ec%5E%21

tdf#121282, tdf#121279, set text properties also on complex data labels

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-11-30 20:42:57 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/5c380a7fe3b3399002aabdc980842ce46a50d012%5E%21

tdf#121282, tdf#121279, set text properties also on complex data labels

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.